| Home | Libraries | People | FAQ | More

## Function hash_value

boost::hash_value — Implementation of a hash function for floating point values.

## Synopsis

    std::size_t hash_value(float val);
    std::size_t hash_value(double val);
    std::size_t hash_value(long double val);

## Description

Generally shouldn't be called directly by users, instead they should use `boost::hash`, `boost::hash_range` or `boost::hash_combine` which call hash_value without namespace qualification so that overloads for custom types are found via ADL.

Notes: Overloads for other types supplied in other headers.

This is an extension to TR1

Returns: An unspecified value, except that equal arguments shall yield the same result

| Copyright © 2005 Daniel James